Berkeley DB version 4.8.30

## com.sleepycat.db
Class PreparedTransaction

    java.lang.Object
      com.sleepycat.db.PreparedTransaction

    public class PreparedTransaction

extends Object

The PreparedTransaction object is used to encapsulate a single prepared, but not yet resolved, transaction.

Method Summary
`byte[]` `getGID()`
`Transaction` `getTransaction()` Return the transaction handle for the transaction.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getGID

    public byte[] getGID()

### getTransaction

    public Transaction getTransaction()

  Return the transaction handle for the transaction.

  Returns:
    The transaction handle for the transaction.

Berkeley DB version 4.8.30

Copyright (c) 1996-2009 Oracle. All rights reserved.